import request from '@/utils/request'

// 查询指标采集权限配置列表
export function listNORMROLE(query) {
  return request({
    url: '/norm/NORMROLE/list',
    method: 'get',
    params: query
  })
}

// 查询指标采集权限配置所有列表
export function listAllNORMROLE(query) {
  return request({
    url: '/norm/NORMROLE/listAll',
    method: 'get',
    params: query
  })
}

// 查询指标采集权限配置详细
export function getNORMROLE(id) {
  return request({
    url: '/norm/NORMROLE/getInfo/' + id,
    method: 'get'
  })
}

// 新增指标采集权限配置
export function addNORMROLE(data) {
  return request({
    url: '/norm/NORMROLE/add',
    method: 'post',
    data: data
  })
}

// 修改指标采集权限配置
export function updateNORMROLE(data) {
  return request({
    url: '/norm/NORMROLE/edit',
    method: 'post',
    data: data
  })
}

// 删除指标采集权限配置
export function delNORMROLE(id) {
  return request({
    url: '/norm/NORMROLE/remove/' + id,
    method: 'get'
  })
}

// 停用服务配置
export function setNORMROLEStop(id) {
  return request({
    url: '/norm/NORMROLE/stop/' + id,
    method: 'post'
  })
}

// 启用服务配置
export function setNORMROLEStart(id) {
  return request({
    url: '/norm/NORMROLE/strta/' + id,
    method: 'post'
  })
}

// 查询指标权重明细所有列表
export function getNORMROLEAllList(id) {
  return request({
    url: '/normFee/listAll',
    method: 'get'
  })
}
